#!/usr/bin/python
#encoding: utf8

"""
Wyszukuje takie rzutowania w pliku z rzutowaniami, gdzie dla danego 
znaczenia ze Slowosieci istnieje klilka rzutowań na pojęcie/pojęcia
SUMO. Wynik przekierowywany jest na standardowe wyjście.
"""

import argparse
from plumper.tools.filters.file_reader import read_file_as_dict

def main(args=None):
	argp = argparse.ArgumentParser(
		description = 
			'Wypisuje te pary <synset, SUMO>, dla których jest więcej '
			'niż jedno rzutowanie')
	argp.add_argument('mapping_result_file',
		help='plik csv z wynikami rzutowania plWN -> SUMO')
	argv = argp.parse_args(args)

	dict_map = read_file_as_dict(argv.mapping_result_file)
	for relmap, lines in dict_map.iteritems():
		if len(lines) > 1:
			for line in lines:
				print line

if __name__ == '__main__':
	main()
